<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Hekim
 * @author     Theme Kalia <admin@theme-kalia.com>
 * @version    1.0
 */

$text = sprintf(__('page is not found. <br />the page is doesn’t exist or deleted', 'hekim'), esc_html(home_url('/')));
$allowed_html = wp_kses_allowed_html( 'post' );
?>
<?php get_header();
$data = \HEKIM\Includes\Classes\Common::instance()->data( '404' )->get();
do_action( 'hekim_banner', $data );
$options = hekim_WSH()->option();
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
    
    <!-- error-section -->
    <section class="error-section centred">
        <div class="auto-container">
            <div class="inner-box">
                <h1><?php echo wp_kses( $options->get( '404-page_title' ), $allowed_html ) ? wp_kses( $options->get( '404-page_title' ), $allowed_html ) : esc_html_e( '404', 'hekim' ); ?></h1>
                <h2><?php echo wp_kses( $options->get('404-page-text'), $allowed_html ) ? wp_kses($options->get('404-page-text' ), $allowed_html ) : $text; ?></h2>
                <?php if ( $options->get('back_to_home_btn') ) : ?>
				
			<a href="<?php echo( home_url( '/' ) ); ?>" class="btn-box"><?php echo wp_kses( $options->get('back_home_btn_label'), $allowed_html ) ? wp_kses( $options->get('back_home_btn_label'), $allowed_html ) : esc_html_e( 'Go Back To Home', 'hekim' ); ?></a>
				
                <?php endif; ?>
            </div>
        </div>
    </section>
    <!-- error-section end -->
    
<?php
}
get_footer(); ?>