<?php return array(
	'title'      => esc_html__( 'Footer Setting', 'hekim' ),
	'id'         => 'footer_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'footer_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Footer Source Type', 'hekim' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'hekim' ),
				'e' => esc_html__( 'Elementor', 'hekim' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'footer_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'hekim' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'footer_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'footer_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Settings', 'hekim' ),
			'required' => array( 'footer_source_type', '=', 'd' ),
		),
		array(
		    'id'       => 'footer_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Footer Styles', 'hekim' ),
		    'subtitle' => esc_html__( 'Choose Footer Styles', 'hekim' ),
		    'options'  => array(

			    'footer_v1'  => array(
				    'alt' => esc_html__( 'Footer Style 1', 'hekim' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/footer/footer1.png',
			    ),
			),
			'required' => array( 'footer_source_type', '=', 'd' ),
			'default' => 'footer_v6',
	    ),
		
		/***********************************************************************
								Footer Version 1 Start
		************************************************************************/
		array(
			'id'       => 'footer_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Footer Style One Settings', 'hekim' ),
			'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
		),
		array(
		    'id'       => 'show_footer_cta',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Footer Call to Action', 'hekim' ),
		    'desc'     => esc_html__( 'Enable/Disable Footer Call to Action.', 'hekim' ),
			'default'  => '',
		    'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
	    ),
		array(
			'id'       => 'footer_cta_icon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Call to Action Icon', 'hekim' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/icons/icon-12.png' ),
			'required' => array( 'show_footer_cta', '=', true ),
		),
		array(
			'id'      => 'footer_cta_text',
			'type'    => 'textarea',
			'title'   => __( 'Call to Action Text', 'hekim' ),
			'required' => array( 'show_footer_cta', '=', true ),
		),
		array(
		    'id'       => 'show_footer_cta_button',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Button', 'hekim' ),
		    'desc'     => esc_html__( 'Enable/Disable Button.', 'hekim' ),
			'default'  => '',
		    'required' => array( 'show_footer_cta', '=', true ),
	    ),
		array(
		    'id'       => 'cta_button_name',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Name', 'hekim' ),
			'required' => array( 'show_footer_cta_button', '=', true ),
		),
		array(
		    'id'       => 'cta_button_link',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Button Link', 'hekim' ),
			'required' => array( 'show_footer_cta_button', '=', true ),
		),
		
		//Show Footer
		array(
		    'id'       => 'show_footer',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Footer', 'hekim' ),
		    'desc'     => esc_html__( 'Enable/Disable Footer.', 'hekim' ),
			'default'  => '',
		    'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
	    ),
		
		//Copyrights
		array(
		    'id'       => 'show_bottom_footer_v1',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Footer Bottom', 'hekim' ),
		    'desc'     => esc_html__( 'Enable/Disable Footer Bottom.', 'hekim' ),
			'default'  => '',
		    'required' => array( 'footer_style_settings', '=', 'footer_v1' ),
	    ),
		array(
		    'id'       => 'show_copyrights_v1',
		    'type'     => 'switch',
		    'title'    => esc_html__( 'Enable Copyrights', 'hekim' ),
		    'desc'     => esc_html__( 'Enable/Disable Copyrights.', 'hekim' ),
			'default'  => '',
		    'required' => array( 'show_bottom_footer_v1', '=', true ),
	    ),
		array(
			'id'      => 'copyrights_v1',
			'type'    => 'textarea',
			'title'   => __( 'Copyright Text', 'hekim' ),
			'desc'    => esc_html__( 'Enter the Copyright Text', 'hekim' ),
			'required' => array( 'show_copyrights_v1', '=', true ),
		),
		
		array(
			'id'       => 'footer_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'footer_source_type', '=', 'd' ],
		),
	),
);
