<?php
/**
 * Default Template Main File.
 *
 * @package HEKIM
 * @author  ThemeKalia
 * @version 1.0
 */

get_header();
$data  = \HEKIM\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12' : 'col-xs-12 col-sm-12 col-md-12 col-lg-8';
?>

<?php if ( class_exists( '\Elementor\Plugin' )):?>
	<?php do_action( 'hekim_banner', $data );?>
<?php else:?>
<!--Page Title-->
<section class="page-title centred" style="background-image: url(<?php echo esc_url( $data->get( 'banner' ) ); ?>);">
    <div class="auto-container">
        <div class="content-box">
            <div class="title">
                <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else wp_title( '' ); ?></h1>
            </div>
            <ul class="bread-crumb clearfix">
                <?php echo hekim_the_breadcrumb(); ?>
            </ul>
        </div>
    </div>
</section>
<!--End Page Title-->
<?php endif;?>


<!-- sidebar-page-container -->
<section class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'hekim_sidebar', $data );
				}
			?>
            <div class="col-md-12 col-sm-12 content-side <?php echo esc_attr( $class ); ?>">
            	
				<?php while ( have_posts() ): the_post(); ?>
                        <?php the_content(); ?>
                    <?php endwhile; ?>
                    
                    <div class="clearfix"></div>
                    <?php
                    $defaults = array(
                        'before' => '<div class="paginate-links">' . esc_html__( 'Pages:', 'hekim' ),
                        'after'  => '</div>',
    
                    );
                    wp_link_pages( $defaults );
                    ?>
                    <?php comments_template() ?>
                
            </div>
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'hekim_sidebar', $data );
				}
			?>
        </div>
    </div>
</section> 

<?php get_footer(); ?>
