<?php
/**
 * Blog Post Main File.
 *
 * @package HEKIM
 * @author  Theme Kalia
 * @version 1.0
 */

get_header();
$data    = \HEKIM\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
$options = hekim_WSH()->option();

if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
	?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>

<!--Page Title-->
     <section class="page-title-two">
            <div class="title-box centred bg-color-2">
                <div class="pattern-layer">
                    <div class="pattern-1" style="background-image: url(<?php echo esc_url(get_template_directory_uri().'/assets/images/shape/shape-70.png');?>);"></div>
                    <div class="pattern-2" style="background-image: url(<?php echo esc_url(get_template_directory_uri().'/assets/images/shape/shape-71.png');?>);"></div>
                </div>
                <div class="auto-container">
                    <div class="title">
                        <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( wp_title( '' ) ); ?></h1>
                    </div>
                </div>
            </div>
            <div class="lower-content">
                <div class="auto-container">
                    <ul class="bread-crumb clearfix">
                       <?php echo hekim_the_breadcrumb(); ?>
                    </ul>
                </div>
            </div>
        </section>

<?php endif; ?>

<!-- sidebar-page-container -->
<section class="sidebar-page-container">
	<div class="auto-container">
		<div class="row clearfix">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'hekim_sidebar', $data );
				}
			?>
            <div class="col-md-12 col-sm-12 content-side <?php echo esc_attr( $class ); ?>">
            	
				<?php while ( have_posts() ) : the_post(); ?>
                
					<div <?php post_class(); ?>>
						<?php hekim_template_load( 'templates/blog-single/single-content.php', compact( 'options', 'data' ) ); ?>
					</div>
				
				<?php endwhile; ?>
                
            </div>
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'hekim_sidebar', $data );
				}
			?>
        </div>
    </div>
</section> 
<!--End blog area--> 

<?php
}
get_footer();
