<?php
$options = hekim_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Logo Settings
$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo2 = $options->get( 'image_normal_logo2' );
$logo_dimension2 = $options->get( 'normal_logo_dimension2' );

$image_logo3 = $options->get( 'image_normal_logo3' );
$logo_dimension3 = $options->get( 'normal_logo_dimension3' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>

<!-- main header -->
<header class="main-header style-two">

	<?php if( $options->get( 'top_header_show_v1' ) ):?>
	<div class="header-top">
		<!-- header-top -->
		<div class="auto-container">
			<div class="top-inner clearfix">
				<div class="top-left pull-left">
					<ul class="info clearfix">
						<?php if( $options->get( 'welcome_v1')):?>
						<li><i class="fas fa-map-marker-alt"></i><?php echo wp_kses( $options->get( 'welcome_v1'), $allowed_html ); ?></li>
						<?php endif; ?>	
						<?php if( $options->get( 'phone_v1')):?>
						<li><i class="fas fa-phone"></i><a href="tel:<?php echo wp_kses( $options->get( 'phone_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'phone_v1'), $allowed_html ); ?></a></li>
						<?php endif; ?>	
					</ul>
				</div>
				<div class="top-right pull-right">
					<ul class="info clearfix">
						<?php if( $options->get( 'sign_in_v1')):?>
						<li><a href="<?php echo wp_kses( $options->get( 'sign_in_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'sign_in_v1'), $allowed_html ); ?></a></li>
						<?php endif; ?>
						<?php if( $options->get( 'career_link_v1')):?>
						<li><a href="<?php echo wp_kses( $options->get( 'career_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'career_v1'), $allowed_html ); ?></a></li>
						<?php endif; ?>
						<?php if( $options->get( 'contact_v1')):?>
						<li><a href="<?php echo wp_kses( $options->get( 'contact_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'contact_v1'), $allowed_html ); ?></a></li>
						<?php endif; ?>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>

	<!-- header-lower -->
	<div class="header-lower">
		<div class="auto-container">
			<div class="outer-box">
				<div class="logo-box">
					<figure class="logo">
					<?php echo hekim_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
					</figure>
				</div>
				<div class="menu-area">
					<!--Mobile Navigation Toggler-->
					<div class="mobile-nav-toggler">
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
						<i class="icon-bar"></i>
					</div>
					<nav class="main-menu navbar-expand-md navbar-light">
						<div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
							<ul class="navigation clearfix">
								<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' =>'navbar-collapse-1',
								'container_class'=>'navbar-collapse collapse navbar-right',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false, 
								'items_wrap' => '%3$s', 
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()  
								) ); ?>
							</ul>
						</div>
					</nav>
				</div>
				<?php if( $options->get( 'quote_show_v1' ) ):?>
				<?php if( $options->get( 'quote_v1')):?>
				<div class="btn-box"><a href="tel:<?php echo wp_kses( $options->get( 'quote_link_v1'), $allowed_html ); ?>" class="theme-btn-one"><i class="icon-image"></i><?php echo wp_kses( $options->get( 'quote_v1'), $allowed_html ); ?></a></div>
				<?php endif; ?>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<!--sticky Header-->
	<div class="sticky-header">
		<div class="auto-container">
			<div class="outer-box">
				<div class="logo-box">
					<figure class="logo">
					<?php echo hekim_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
					</figure>
				</div>
				<div class="menu-area">
					<nav class="main-menu clearfix">
						<!--Keep This Empty / Menu will come through Javascript-->
					</nav>
				</div>
				<?php if( $options->get( 'quote_show_v1' ) ):?>
				<?php if( $options->get( 'quote_v1')):?>
				<div class="btn-box"><a href="tel:<?php echo wp_kses( $options->get( 'quote_link_v1'), $allowed_html ); ?>" class="theme-btn-one"><i class="icon-image"></i><?php echo wp_kses( $options->get( 'quote_v1'), $allowed_html ); ?></a></div>
				<?php endif; ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</header>
<!-- main-header end -->