<?php namespace HEKIMPLUGIN\Element;

class Elementor {
	static $widgets = array(
		//Home Page
	
		'theme_slider',
		'theme_slider_two',
		'theme_slider_three',
		'theme_slider_four',
		'theme_slider_five',
		'theme_slider_six',
		'doctor',
        'doctor_two',
        'doctor_three',
        'doctor_four',
        'h1_clients',
        'h1_feature',
        'h1_about_left',
        'h1_about_right',
        'h1_process',
        'h1_testimonial',
        'h1_search_doctors',
        'h1_cta',
        'h1_blog',
        'h1_agent',
        'footer_widget1',
        'footer_widget2',
        'footer_widget3',
        'footer_bottom',
        'h2_search_doctors',
        'h2_about_left',
        'h2_about_right',
        'h2_appointment_process',
        'h2_testimonial',
        'h3_category',
        'h3_faq_left',
        'h3_faq_right',
        'h3_testimonial',
        'h4_feature',
        'h4_about',
        'h5_funfact',
        'before_after_left',
        'before_after_right',
		'wi_menu',
		'department_details',
        'department_details2',
        'department_details3',
        'department_details4',
		'pricing_details',
		'special_offer',
		'information',
        'contact',
        'faq_left',
        'faq_right',
        'pricing',
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = HEKIMPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\HEKIMPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'hekim',
			[
				'title' => esc_html__( 'Hekim', 'hekim' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'templatepath',
			[
				'title' => esc_html__( 'Template Path', 'hekim' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();